From cac00224db7b229efac3ee242a5d5790ee0d98cf Mon Sep 17 00:00:00 2001
From: Sanaei <ho3ein.sanaei@gmail.com>
Date: Thu, 13 Mar 2025 16:06:08 +0100
Subject: [PATCH] runs-on: ubuntu-22.04 (#2767)

https://github.com/actions/runner-images/issues/11101
---
 .github/workflows/docker.yml  | 2 +-
 .github/workflows/release.yml | 2 +-
 README.es_ES.md               | 3 ++-
 README.fa_IR.md               | 3 ++-
 README.md                     | 3 ++-
 README.ru_RU.md               | 3 ++-
 README.zh_CN.md               | 3 ++-
 install.sh                    | 6 +++---
 x-ui.sh                       | 6 +++---
 9 files changed, 18 insertions(+), 13 deletions(-)

diff --git a/.github/workflows/docker.yml b/.github/workflows/docker.yml
index 6a33808b..5313d60a 100644
--- a/.github/workflows/docker.yml
+++ b/.github/workflows/docker.yml
@@ -7,7 +7,7 @@ on:
 
 jobs:
   build:
-    runs-on: ubuntu-20.04
+    runs-on: ubuntu-22.04
 
     steps:
     - uses: actions/checkout@v4
diff --git a/.github/workflows/release.yml b/.github/workflows/release.yml
index a08d21db..0513b6cd 100644
--- a/.github/workflows/release.yml
+++ b/.github/workflows/release.yml
@@ -18,7 +18,7 @@ jobs:
           - 386
           - armv5
           - s390x
-    runs-on: ubuntu-20.04
+    runs-on: ubuntu-22.04
     steps:
       - name: Checkout repository
         uses: actions/checkout@v4
diff --git a/README.es_ES.md b/README.es_ES.md
index 49a0d4f5..8032312f 100644
--- a/README.es_ES.md
+++ b/README.es_ES.md
@@ -244,7 +244,7 @@ location /sub {
 
 ## SO Recomendados
 
-- Ubuntu 20.04+
+- Ubuntu 22.04+
 - Debian 11+
 - CentOS 8+
 - OpenEuler 22.03+
@@ -258,6 +258,7 @@ location /sub {
 - Oracle Linux 8+
 - OpenSUSE Tubleweed
 - Amazon Linux 2023
+- Virtuozzo Linux 8+
 - Windows x64
 
 ## Arquitecturas y Dispositivos Compatibles
diff --git a/README.fa_IR.md b/README.fa_IR.md
index fdb9f160..d2a6bcb6 100644
--- a/README.fa_IR.md
+++ b/README.fa_IR.md
@@ -245,7 +245,7 @@ location /sub {
 
 ## سیستم‌عامل‌های توصیه شده
 
-- Ubuntu 20.04+
+- Ubuntu 22.04+
 - Debian 11+
 - CentOS 8+
 - OpenEuler 22.03+
@@ -259,6 +259,7 @@ location /sub {
 - Oracle Linux 8+
 - OpenSUSE Tubleweed
 - Amazon Linux 2023
+- Virtuozzo Linux 8+
 - Windows x64
 
 ## معماری‌ها و دستگاه‌های پشتیبانی شده
diff --git a/README.md b/README.md
index 583a2a12..297508de 100644
--- a/README.md
+++ b/README.md
@@ -249,7 +249,7 @@ location /sub {
 
 ## Recommended OS
 
-- Ubuntu 20.04+
+- Ubuntu 22.04+
 - Debian 11+
 - CentOS 8+
 - OpenEuler 22.03+
@@ -263,6 +263,7 @@ location /sub {
 - Oracle Linux 8+
 - OpenSUSE Tubleweed
 - Amazon Linux 2023
+- Virtuozzo Linux 8+
 - Windows x64
 
 ## Supported Architectures and Devices
diff --git a/README.ru_RU.md b/README.ru_RU.md
index cec378c9..e63c1fd6 100644
--- a/README.ru_RU.md
+++ b/README.ru_RU.md
@@ -248,7 +248,7 @@ location /sub {
 
 ## Рекомендуемые ОС
 
-- Ubuntu 20.04+
+- Ubuntu 22.04+
 - Debian 11+
 - CentOS 8+
 - OpenEuler 22.03+
@@ -262,6 +262,7 @@ location /sub {
 - Oracle Linux 8+
 - OpenSUSE Tubleweed
 - Amazon Linux 2023
+- Virtuozzo Linux 8+
 - Windows x64
 
 ## Поддерживаемые архитектуры и устройства
diff --git a/README.zh_CN.md b/README.zh_CN.md
index 1e9098e2..787a5d5d 100644
--- a/README.zh_CN.md
+++ b/README.zh_CN.md
@@ -245,7 +245,7 @@ location /sub {
 
 ## 建议使用的操作系统
 
-- Ubuntu 20.04+
+- Ubuntu 22.04+
 - Debian 11+
 - CentOS 8+
 - OpenEuler 22.03+
@@ -259,6 +259,7 @@ location /sub {
 - Oracle Linux 8+
 - OpenSUSE Tubleweed
 - Amazon Linux 2023
+- Virtuozzo Linux 8+
 - Windows x64
 
 ## 支持的架构和设备
diff --git a/install.sh b/install.sh
index b2754e38..675bd1a3 100644
--- a/install.sh
+++ b/install.sh
@@ -63,8 +63,8 @@ elif [[ "${release}" == "centos" ]]; then
         echo -e "${red} Please use CentOS 8 or higher ${plain}\n" && exit 1
     fi
 elif [[ "${release}" == "ubuntu" ]]; then
-    if [[ ${os_version} -lt 2004 ]]; then
-        echo -e "${red} Please use Ubuntu 20 or higher version!${plain}\n" && exit 1
+    if [[ ${os_version} -lt 2204 ]]; then
+        echo -e "${red} Please use Ubuntu 22 or higher version!${plain}\n" && exit 1
     fi
 elif [[ "${release}" == "fedora" ]]; then
     if [[ ${os_version} -lt 36 ]]; then
@@ -97,7 +97,7 @@ elif [[ "${release}" == "virtuozzo" ]]; then
 else
     echo -e "${red}Your operating system is not supported by this script.${plain}\n"
     echo "Please ensure you are using one of the following supported operating systems:"
-    echo "- Ubuntu 20.04+"
+    echo "- Ubuntu 22.04+"
     echo "- Debian 11+"
     echo "- CentOS 8+"
     echo "- OpenEuler 22.03+"
diff --git a/x-ui.sh b/x-ui.sh
index 417aa07c..c3ac6e94 100644
--- a/x-ui.sh
+++ b/x-ui.sh
@@ -60,8 +60,8 @@ elif [[ "${release}" == "centos" ]]; then
         echo -e "${red} Please use CentOS 8 or higher ${plain}\n" && exit 1
     fi
 elif [[ "${release}" == "ubuntu" ]]; then
-    if [[ ${os_version} -lt 2004 ]]; then
-        echo -e "${red} Please use Ubuntu 20 or higher version!${plain}\n" && exit 1
+    if [[ ${os_version} -lt 2204 ]]; then
+        echo -e "${red} Please use Ubuntu 22 or higher version!${plain}\n" && exit 1
     fi
 elif [[ "${release}" == "fedora" ]]; then
     if [[ ${os_version} -lt 36 ]]; then
@@ -94,7 +94,7 @@ elif [[ "${release}" == "virtuozzo" ]]; then
 else
     echo -e "${red}Your operating system is not supported by this script.${plain}\n"
     echo "Please ensure you are using one of the following supported operating systems:"
-    echo "- Ubuntu 20.04+"
+    echo "- Ubuntu 22.04+"
     echo "- Debian 11+"
     echo "- CentOS 8+"
     echo "- OpenEuler 22.03+"